require 'lucent/api'

Domain(Lucent::API)

Given (/^lucent exists$/) do
  puts 'Lucent is present.'
end

Given (/^a file named "(.*?)" with:$/) do |file, content|
  write_file(file, content)
end

Then (/^it should fail with:$/) do |output|
  assert_failing_with(output)
end

Then (/^it should pass with exactly:$/) do |output|
  assert_exit_status_and_output(true, output, true)
end

Then (/^it should pass with:$/) do |output|
  assert_exit_status_and_output(true, output, false)
end